<id>
forum.ModelMode.com Last Poster Enhancement
</id>

<version>
1.0
</version>

<mod info>
On active forums where admin or the moderator are super active it looks as if they are the only ones posting or replying to messages because they reply so fast. This shows the last two posters.

Message from bordeglobal: First poster appears in the usual manner 'Last post by...' and second poster appears under with an arrow '-->'
Clean install on heavily mod board.
This was created by auroris for us. Thought we would share it with you people.
</mod info>

<homepage>
http://forum.modelmode.com
</homepage>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
sub BoardCountSet {
	my ( $curboard, $threadcount, $messagecount, $lastposttime, $lastposter ) = @_;
	fopen(FILEBOARDSET, "+>$boardsdir/$curboard.ttl");
	print FILEBOARDSET qq~$threadcount|$messagecount|$lastposttime|$lastposter~;
	fclose(FILEBOARDSET);
}
</search for>

<replace>
sub BoardCountSet {
	my ( $curboard, $threadcount, $messagecount, $lastposttime, $lastposter, $secondlastposter ) = @_;
	fopen(FILEBOARDSET, "+>$boardsdir/$curboard.ttl");
	print FILEBOARDSET qq~$threadcount|$messagecount|$lastposttime|$lastposter|$secondlastposter~;
	fclose(FILEBOARDSET);
}
</replace>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	&BoardCountSet( $currentboard, $threadcount, $messagecount, $date, $myname );
</search for>

<replace>
	&BoardCountSet( $currentboard, $threadcount, $messagecount, $date, $myname, $lastposter );
</replace>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
			( $threadcount, $messagecount, $lastposttime, $lastposter ) = &BoardCountGet($curboard);

			$lastposttime{$curboard} = $lastposttime eq 'N/A' || ! $lastposttime ? $txt{'470'} : &timeformat($lastposttime);
			$lastpostrealtime{$curboard} = $lastposttime eq 'N/A' || ! $lastposttime ? '' : $lastposttime;
			if( $lastposter =~ m~\AGuest-(.*)~ ) {
				$lastposter = $1;
				$lastposterguest{$curboard} = 1;
			}
			$lastposter{$curboard} = $lastposter eq 'N/A' || ! $lastposter ? $txt{'470'} : $lastposter;
</search for>

<replace>
			( $threadcount, $messagecount, $lastposttime, $lastposter, $secondlastposter ) = &BoardCountGet($curboard);

			$lastposttime{$curboard} = $lastposttime eq 'N/A' || ! $lastposttime ? $txt{'470'} : &timeformat($lastposttime);
			$lastpostrealtime{$curboard} = $lastposttime eq 'N/A' || ! $lastposttime ? '' : $lastposttime;
			if( $lastposter =~ m~\AGuest-(.*)~ ) {
				$lastposter = $1;
				$lastposterguest{$curboard} = 1;
			}
			$lastposter{$curboard} = $lastposter eq 'N/A' || ! $lastposter ? $txt{'470'} : $lastposter;
			
			if( $secondlastposter =~ m~\AGuest-(.*)~ ) {
				$secondlastposter = $1;
				$secondlastposterguest{$curboard} = 1;
			}
			$secondlastposter{$curboard} = $secondlastposter eq 'N/A' || ! $secondlastposter ? $txt{'470'} : $secondlastposter;
</replace>

<search for>
			$lastposter = $lastposter{$curboard};
			unless( $lastposterguest{$curboard} || $lastposter{$curboard} eq $txt{'470'} ) {
				$lastposterid = $lastposter;
				&LoadUser($lastposterid);
				if($userprofile{$lastposter}->[1]) { $lastposter = qq~<a href="$scripturl?action=viewprofile;username=$lastposterid">$userprofile{$lastposter}->[1]</a>~; }
			}
			$lastposter ||= $txt{'470'};
			$lastposttime ||= $txt{'470'};
</search for>

<add after>
			$secondlastposter = $secondlastposter{$curboard};
			unless( $secondlastposterguest{$curboard} || $secondlastposter{$curboard} eq $txt{'470'} ) {
				$secondlastposterid = $secondlastposter;
				&LoadUser($secondlastposterid);
				if($userprofile{$secondlastposter}->[1]) { $lastposter .= qq~<BR>--&gt;<a href="$scripturl?action=viewprofile;username=$secondlastposterid">$userprofile{$secondlastposter}->[1]</a>~; }
			}
			$secondlastposter ||= $txt{'470'};
			$secondlastposttime ||= $txt{'470'};
</add after>